%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Clone
Version:       0.46
Release:       2mamba
Summary:       Clone - recursively copy Perl datatypes
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/G/GA/GARU/Clone-%{version}.tar.gz
License:       GPL, Artistic
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(Taint::Runtime)
BuildRequires: perl(Test::More)
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-B-COW
Requires:      perl >= %perl_major_ver

%description
This module provides a clone() method which makes recursive copies of nested hash, array, scalar and
reference types, including tied variables and objects.

%prep
%setup -q -n Clone-%{version}

find . -type f -exec chmod -c -x {} ';'

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorarch}/Clone.pm
%{perl_vendorarch}/auto/Clone/
%{_mandir}/man3/*.3pm.gz
%doc Changes

%changelog
* Sat Apr 15 2023 Sdk Build System <sdk@mambasoft.it> 0.46-2mamba
- rebuilt with perl 5.36.0

* Sat Apr 01 2023 Automatic Build System <autodist@mambasoft.it> 0.46-1mamba
- automatic version update by autodist

* Fri May 01 2020 Automatic Build System <autodist@mambasoft.it> 0.42-1mamba
- automatic update by autodist

* Fri Oct 27 2017 Automatic Build System <autodist@mambasoft.it> 0.39-1mamba
- automatic update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.38-2mamba
- rebuilt with perl 5.24

* Mon Feb 02 2015 Automatic Build System <autodist@mambasoft.it> 0.38-1mamba
- automatic update by autodist

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 0.37-1mamba
- automatic update by autodist

* Mon Dec 16 2013 Automatic Build System <autodist@mambasoft.it> 0.36-1mamba
- automatic update by autodist

* Thu Sep 05 2013 Automatic Build System <autodist@mambasoft.it> 0.35-1mamba
- automatic update by autodist

* Sat Apr 27 2013 Automatic Build System <autodist@mambasoft.it> 0.34-1mamba
- update to 0.34

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31-2mamba
- perl 5.16 mass rebuild

* Thu Feb 17 2011 gil <puntogil@libero.it> 0.31-1mamba
- package created by autospec
